Subject: Re: tune back idle cwnd closing?

From: Rick Jones <[email-masked]>
Date: Thu, 27 Apr 2006 14:12:32 -0700

having looked now at both 2861 and the 99 paper it references I see lots 
of "may's" "mights" and "belief" but nothing "real world."

the CWV vs non CWV was done against a TCP that did indeed reset cwnd 
after an RTT of idle, so it wasn't showing reset at idle versus no reset 
at idle.  just CWV's less draconian (?) reset than the non CWV stack.

the experimental validation in the 99 paper was still a simulation using 
dummynet and a number of buffers rather smaller than what modem banks 
were offering at the time, and it was for a modem, rather than any other 
sort of link. and when they did use a real modem, the buffering in the 
modem bank seems to have made the whole thing moot.

there was nothing about effect on intranets, or high-speed long hauls or 
any of that.

what that means wrt having a sysctl to enable/disable functionality 
still listed as experimental i'm not sure

rick jones